export interface IHostRegistrarApi {
    getWidgetDefinitionIdsAsync(callback: (hresult: number, widgetDefinitionIds: Array<string>) => void): Promise<void>;
    getWidgetDefinitionAsync(widgetDefinitionId: string, callback: (hresult: number, widgetDefinition: string) => void): Promise<void>;
    addEventListener(eventName: string, listener: Function): Promise<void>;
    removeEventListener(eventName: string, listener: Function): Promise<void>;
}
